Galileo

[KSP 1.5.*] Outer Planets Mod[2.2.1] [25 April 2018]

Recommended Posts

Hi all, I wanted to check on a couple things I'm seeing in the KSP.log from my latest fresh install of 1.4.5 with OPM version 2.2.1 (via CKAN). I also made sure to use the latest Kopernicus for 1.4.5 that was just updated.

Basically it's saying related to several moons and planets: 

[LOG 01:47:51.683] [OD] ERROR: getting pixelFloatD with unloaded map Ovok_height (G) for Ovok of path OPM/OPM_Textures/PluginData/Ovok_height.dds, autoload = True

Also, I don't know if this is related to the note in the changelog regarding errors with OnDemand loading.

Here's the full section of the log that deals with OPM. There were many other references like this chunk. (I guess when these were loading in?)

Spoiler

[LOG 01:47:51.656] [Kopernicus] ShaderLoader: GetShader Kopernicus/Rings
[WRN 01:47:51.669] Cannot find preset 'Default' for pqs 'Hale'
[WRN 01:47:51.682] Cannot find preset 'Default' for pqs 'Ovok'
[LOG 01:47:51.683] [OD] ERROR: getting pixelFloatD with unloaded map Ovok_height (G) for Ovok of path OPM/OPM_Textures/PluginData/Ovok_height.dds, autoload = True
[LOG 01:47:51.728] [OD] ---> Map Ovok_height (G) for Ovok enabling self. Path = OPM/OPM_Textures/PluginData/Ovok_height.dds
[WRN 01:47:51.754] Cannot find preset 'Default' for pqs 'Slate'
[LOG 01:47:51.754] [OD] ERROR: getting pixelFloatD with unloaded map Slate_height (G) for Slate of path OPM/OPM_Textures/PluginData/Slate_height.dds, autoload = True
[LOG 01:47:51.765] [OD] ---> Map Slate_height (G) for Slate enabling self. Path = OPM/OPM_Textures/PluginData/Slate_height.dds
[WRN 01:47:51.778] Cannot find preset 'Default' for pqs 'Tekto'
[LOG 01:47:51.779] [OD] ERROR: getting pixelFloatD with unloaded map Tekto_height (G) for Tekto of path OPM/OPM_Textures/PluginData/Tekto_height.dds, autoload = True
[LOG 01:47:51.821] [OD] ---> Map Tekto_height (G) for Tekto enabling self. Path = OPM/OPM_Textures/PluginData/Tekto_height.dds
[LOG 01:47:51.834] [Kopernicus] ShaderLoader: GetShader Kopernicus/Rings
[WRN 01:47:51.847] Cannot find preset 'Default' for pqs 'Polta'
[LOG 01:47:51.848] [OD] ERROR: getting pixelFloatD with unloaded map Polta_height (G) for Polta of path OPM/OPM_Textures/PluginData/Polta_height.dds, autoload = True
[LOG 01:47:51.858] [OD] ---> Map Polta_height (G) for Polta enabling self. Path = OPM/OPM_Textures/PluginData/Polta_height.dds
[WRN 01:47:51.873] Cannot find preset 'Default' for pqs 'Priax'
[LOG 01:47:51.873] [OD] ERROR: getting pixelFloatD with unloaded map Priax_height (G) for Priax of path OPM/OPM_Textures/PluginData/Priax_height.dds, autoload = True
[LOG 01:47:51.876] [OD] ---> Map Priax_height (G) for Priax enabling self. Path = OPM/OPM_Textures/PluginData/Priax_height.dds
[WRN 01:47:51.889] Cannot find preset 'Default' for pqs 'Wal'
[LOG 01:47:51.889] [OD] ERROR: getting pixelFloatD with unloaded map Wal_height (G) for Wal of path OPM/OPM_Textures/PluginData/Wal_height.dds, autoload = True
[LOG 01:47:51.900] [OD] ---> Map Wal_height (G) for Wal enabling self. Path = OPM/OPM_Textures/PluginData/Wal_height.dds
[WRN 01:47:51.913] Cannot find preset 'Default' for pqs 'Tal'
[LOG 01:47:51.913] [OD] ERROR: getting pixelFloatD with unloaded map Tal_height (G) for Tal of path OPM/OPM_Textures/PluginData/Tal_height.dds, autoload = True
[LOG 01:47:51.916] [OD] ---> Map Tal_height (G) for Tal enabling self. Path = OPM/OPM_Textures/PluginData/Tal_height.dds
[WRN 01:47:51.929] Cannot find preset 'Default' for pqs 'Thatmo'
[LOG 01:47:51.929] [OD] ERROR: getting pixelFloatD with unloaded map Thatmo_height (G) for Thatmo of path OPM/OPM_Textures/PluginData/Thatmo_height.dds, autoload = True
[LOG 01:47:51.940] [OD] ---> Map Thatmo_height (G) for Thatmo enabling self. Path = OPM/OPM_Textures/PluginData/Thatmo_height.dds
[WRN 01:47:51.952] Cannot find preset 'Default' for pqs 'Nissee'
[LOG 01:47:51.952] [OD] ERROR: getting pixelFloatD with unloaded map Nissee_height (G) for Nissee of path OPM/OPM_Textures/PluginData/Nissee_height.dds, autoload = True
[LOG 01:47:51.955] [OD] ---> Map Nissee_height (G) for Nissee enabling self. Path = OPM/OPM_Textures/PluginData/Nissee_height.dds
[WRN 01:47:51.970] Cannot find preset 'Default' for pqs 'Plock'
[LOG 01:47:51.970] [OD] ERROR: getting pixelFloatD with unloaded map Plock_height (G) for Plock of path OPM/OPM_Textures/PluginData/Plock_height.dds, autoload = True
[LOG 01:47:51.981] [OD] ---> Map Plock_height (G) for Plock enabling self. Path = OPM/OPM_Textures/PluginData/Plock_height.dds
[WRN 01:47:51.994] Cannot find preset 'Default' for pqs 'Karen'
[LOG 01:47:51.994] [OD] ERROR: getting pixelFloatD with unloaded map Karen_height (G) for Karen of path OPM/OPM_Textures/PluginData/Karen_height.dds, autoload = True
[LOG 01:47:52.005] [OD] ---> Map Karen_height (G) for Karen enabling self. Path = OPM/OPM_Textures/PluginData/Karen_height.dds
[LOG 01:47:52.009] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying moho00 and moho01
[LOG 01:47:52.012] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying Eve2_00 and Eve2_01
[LOG 01:47:52.015] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying evemoon100 and evemoon101
[LOG 01:47:52.016] [CelestialBody]: Kerbin's solar day length is 1d, 0h, 0m long. sidereal day length is 5h, 59m, 9s long
[LOG 01:47:52.016] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying KerbinScaledSpace300 and KerbinScaledSpace401
[LOG 01:47:52.017] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying NewMunSurfaceMapDiffuse and NewMunSurfaceMapNormals
[LOG 01:47:52.017] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying NewMunSurfaceMap00 and NewMunSurfaceMap01
[LOG 01:47:52.017] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying Duna5_00 and Duna5_01
[LOG 01:47:52.017] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying desertplanetmoon00 and desertplanetmoon01
[LOG 01:47:52.017] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying dwarfplanet100 and dwarfplanet101
[LOG 01:47:52.017] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying gas1_clouds and cloud_normal
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying newoceanmoon00 and newoceanmoon01
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying gp1icemoon00 and gp1icemoon01
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying rockyMoon00 and rockyMoon01
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying gp1minormoon100 and gp1minormoon101
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying gp1minormoon200 and gp1minormoon201
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Sarnus_color.dds and cloud_normal
[LOG 01:47:52.018] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Hale_color.dds and OPM/OPM_Textures/PluginData/Hale_normal.dds
[LOG 01:47:52.019] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Ovok_color.dds and OPM/OPM_Textures/PluginData/Ovok_normal.dds
[LOG 01:47:52.019] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Eeloo_color.dds and OPM/OPM_Textures/PluginData/Eeloo_normal.dds
[LOG 01:47:52.019] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Slate_color.dds and OPM/OPM_Textures/PluginData/Slate_normal.dds
[LOG 01:47:52.019] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Tekto_color.dds and OPM/OPM_Textures/PluginData/Tekto_normal.dds
[LOG 01:47:52.019] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Urlum_color.dds and cloud_normal
[LOG 01:47:52.019] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Polta_color.dds and OPM/OPM_Textures/PluginData/Polta_normal.dds
[LOG 01:47:52.020] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Priax_color.dds and OPM/OPM_Textures/PluginData/Priax_normal.dds
[LOG 01:47:52.020] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Wal_color.dds and OPM/OPM_Textures/PluginData/Wal_normal.dds
[LOG 01:47:52.020] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Tal_color.dds and OPM/OPM_Textures/PluginData/Tal_normal.dds
[LOG 01:47:52.020] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Neidon_color.dds and cloud_normal
[LOG 01:47:52.020] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Thatmo_color.dds and OPM/OPM_Textures/PluginData/Thatmo_normal.dds
[LOG 01:47:52.021] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Nissee_color.dds and OPM/OPM_Textures/PluginData/Nissee_normal.dds
[LOG 01:47:52.021] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Plock_color.dds and OPM/OPM_Textures/PluginData/Plock_normal.dds
[LOG 01:47:52.021] [OD] <--- ScaledSpaceDemand.UnloadTextures destroying OPM/OPM_Textures/PluginData/Karen_color.dds and OPM/OPM_Textures/PluginData/Karen_normal.dds
[LOG 01:47:52.045] [OD] --> ScaledSpaceDemand.LoadTextures loading moho00 and moho01
[LOG 01:47:52.045] [OD] --> ScaledSpaceDemand.LoadTextures loading Eve2_00 and Eve2_01
[LOG 01:47:52.045] [OD] --> ScaledSpaceDemand.LoadTextures loading evemoon100 and evemoon101
[LOG 01:47:52.045] [OD] --> ScaledSpaceDemand.LoadTextures loading KerbinScaledSpace300 and KerbinScaledSpace401
[LOG 01:47:52.045] [OD] --> ScaledSpaceDemand.LoadTextures loading Duna5_00 and Duna5_01
[LOG 01:47:52.045] [OD] --> ScaledSpaceDemand.LoadTextures loading OPM/OPM_Textures/PluginData/Sarnus_color.dds and cloud_normal
[LOG 01:47:52.046] [OD] --> ScaledSpaceDemand.LoadTextures loading OPM/OPM_Textures/PluginData/Hale_color.dds and OPM/OPM_Textures/PluginData/Hale_normal.dds
[LOG 01:47:52.050] [OD] --> ScaledSpaceDemand.LoadTextures loading OPM/OPM_Textures/PluginData/Ovok_color.dds and OPM/OPM_Textures/PluginData/Ovok_normal.dds
[LOG 01:47:52.052] [OD] --> ScaledSpaceDemand.LoadTextures loading desertplanetmoon00 and desertplanetmoon01
[LOG 01:47:52.052] [OD] --> ScaledSpaceDemand.LoadTextures loading OPM/OPM_Textures/PluginData/Eeloo_color.dds and OPM/OPM_Textures/PluginData/Eeloo_normal.dds
[LOG 01:47:52.081] [OD] --> ScaledSpaceDemand.LoadTextures loading OPM/OPM_Textures/PluginData/Slate_color.dds and OPM/OPM_Textures/PluginData/Slate_normal.dds
[LOG 01:47:52.107] [OD] --> ScaledSpaceDemand.LoadTextures loading OPM/OPM_Textures/PluginData/Tekto_color.dds and OPM/OPM_Textures/PluginData/Tekto_normal.dds

 

I don't really know how the code for this all works, so apologies if I'm not asking or commenting on this properly.

Edited by scottadges

Share this post


Link to post
Share on other sites
1 hour ago, scottadges said:

...I also made sure to use the latest Kopernicus for 1.4.5 that was just updated

Oh, now that's good news!

I'll fire up OPM tonight and see if I get similar errors.

Share this post


Link to post
Share on other sites

Those messages might read like an error but they aren't actually harmful. They only say that something tried to access an unloaded texture when Kopernicus didn't expect it to be accessed, so it has to hotload them. Normally Kopernicus checks for certain situations and loads the required maps automatically. Only the error message is a bit... verbose.

Share this post


Link to post
Share on other sites
On 7/30/2018 at 11:08 PM, Korfio said:

I know this is for 1.4.2/1.4.3 but I'd like to ask you guys if anyone has tested it with 1.4.5 and the new Kopernicus 1.4.5-1 (https://github.com/Kopernicus/Kopernicus/releases).

I'm getting lots of errors in the log, it's attached.

Thank you

KSP.LOG: https://we.tl/KdcWb5zOz4

Just an update. The errors came from the combination of Kopernicus+Sigma Binary causing duplicated bodies to be loaded. We have patched kopernicus and this is no longer a problem.

Edited by Korfio

Share this post


Link to post
Share on other sites

Hey guys, for some reason Transfer Window Planner and the transfer planner in Kerbal Alarm Clock won’t recognize my OPM+Sigma planets, and only show the stock planets.

Any one else had this problem?

 

EDIT: It appeared deleting and re-installing OPM+Sigma and their dependencies solved all my problems. Probably a corrupted file or something simple like that

Edited by Dutchbook

Share this post


Link to post
Share on other sites

Hi folks, I'm having an issue getting OPM to load. I did a search for a dedicated tech support thread to this mod and only came up with this, so if there is another thread where my question belongs my apologies. My KSP output log, and Kopernicus log are telling me Thatmo is having a bit of trouble loading. Without OPM installed the game runs normally as I would expect it to, with it installed it gives me trouble.

[LOG 19:35:24]: [Kopernicus]: Configuration.Loader: Failed to load Body: Thatmo: Exception has been thrown by the target of an invocation.


Exception: Failed to load Body: Thatmo
  at Kopernicus.Configuration.Loader.Kopernicus.IParserEventSubscriber.PostApply (.ConfigNode node) [0x00000] in <filename unknown>:0 
  at Kopernicus.Parser.LoadObjectFromConfigurationNode (System.Object o, .ConfigNode node, System.String configName, Boolean getChilds) [0x00000] in <filename unknown>:0 
  at Kopernicus.Parser.CreateObjectFromConfigNode[Loader] (.ConfigNode node, System.String configName, Boolean getChilds) [0x00000] in <filename unknown>:0 
  at Kopernicus.Injector.Awake () [0x00000] in <filename unknown>:0 
UnityEngine.DebugLogHandler:Internal_LogException(Exception, Object)
UnityEngine.DebugLogHandler:LogException(Exception, Object)
UnityEngine.Logger:LogException(Exception, Object)
UnityEngine.Debug:LogException(Exception)
Kopernicus.Injector:Awake()
UnityEngine.GameObject:Internal_AddComponentWithType(Type)
UnityEngine.GameObject:AddComponent(Type)
AddonLoader:StartAddon(LoadedAssembly, Type, KSPAddon, Startup)
AddonLoader:StartAddons(Startup)
AddonLoader:OnLevelLoaded(GameScenes)
AddonLoader:OnSceneLoaded(Scene, LoadSceneMode)
UnityEngine.SceneManagement.SceneManager:Internal_SceneLoaded(Scene, LoadSceneMode)
 
(Filename:  Line: -1)

 

Share this post


Link to post
Share on other sites

Hi there!

Is there any plan to translate the mod in other languages? If yes I could have a field day with French.

Share this post


Link to post
Share on other sites
45 minutes ago, MinimalMinmus said:

Hi there!

Is there any plan to translate the mod in other languages? If yes I could have a field day with French.

No, there is no plan, but you're welcome to start. Localization framework is already in place. Just copy and rename the English file, then delete and change what you must.

Share this post


Link to post
Share on other sites

@spacecoyote Your efforts making a visual bundle for OPM will be greatly honored...but will not be included in the OPM download. Poodmund's OPM-VO has never been bundled with OPM, and when installed with GPP, GPP lends its own visual assets to it. You're welcome to publish as its own mod, then share it and screenshots here, and we'll promote it however we can otherwise/ it will promote itself to whoever visits this thread later on. :)

Share this post


Link to post
Share on other sites

Hey, @Galileo, the changelist says that in the 2.2 version you introduced level 4 Tracking Station, however, none of the antennas/dishes seem to recognize it in their descriptions. For example, the ranges for Communotron 16 read as follows: vs L1 DSN: 31.6 Mm, vs L2 DSN: 158 Mm, vs L3 DSN: 354 Mm. It doesn't say what it would be for L4 DSN. It kind of makes planning difficult. It is also not known how much would that last DSN upgrade cost. Is this covered in documentation somewhere, and I missed it?

Share this post


Link to post
Share on other sites

Have you not forgotten Custom Barn Kit?  The mod needs it for antennae to work properly.

Edited by Quoniam Kerman

Share this post


Link to post
Share on other sites
3 hours ago, aluc24 said:

Hey, @Galileo, the changelist says that in the 2.2 version you introduced level 4 Tracking Station, however, none of the antennas/dishes seem to recognize it in their descriptions. For example, the ranges for Communotron 16 read as follows: vs L1 DSN: 31.6 Mm, vs L2 DSN: 158 Mm, vs L3 DSN: 354 Mm. It doesn't say what it would be for L4 DSN. It kind of makes planning difficult. It is also not known how much would that last DSN upgrade cost. Is this covered in documentation somewhere, and I missed it?

The range of an antenna with the Level 4 Tracking Station is 2.83 times what it is with a Level 3.  So if you want to know the range of a Communotron 16 with an L4 Tracking Station, just do this

L4 DSN range = 354 * 2.83 = 1002 Mm.

The reason for this is that the formula to compute communication range is,

Range = SQRT( tracking station power rating * antenna power rating )

And since the L4 Tracking Station is 8 times more powerful than the L3, the range increases by SQRT(8) = 2.83.
 

Share this post


Link to post
Share on other sites
On 9/5/2018 at 5:50 PM, OhioBob said:

The range of an antenna with the Level 4 Tracking Station is 2.83 times what it is with a Level 3.  So if you want to know the range of a Communotron 16 with an L4 Tracking Station, just do this

L4 DSN range = 354 * 2.83 = 1002 Mm.

The reason for this is that the formula to compute communication range is,

Range = SQRT( tracking station power rating * antenna power rating )

And since the L4 Tracking Station is 8 times more powerful than the L3, the range increases by SQRT(8) = 2.83.
 

Thank you very much! This is most useful. Still, it would be nice if the descriptions of all antennas and dishes would be updated according to this.

Share this post


Link to post
Share on other sites
2 hours ago, aluc24 said:

Thank you very much! This is most useful. Still, it would be nice if the descriptions of all antennas and dishes would be updated according to this.

Unfortunately we cannot do this by editing the localization files to change the descriptions of the parts as the info module in the part selector that shows this info is determined by specific parts of KSP's code, ergo, it would require a new plugin mod to be written.

Share this post


Link to post
Share on other sites

I like the Ranges charts someone made in another thread. (I use the 2nd one for OPM)

Kerigain's has a later post has a clear explanation how to use it.

 

Share this post


Link to post
Share on other sites

Am I missing something? For the longest time, I installed/updated OPM through CKAN. This is my first time coming back to KSP since its last update, so it's been a while. I don't see OPM anywhere in CKAN no matter how I search for it. Is it no longer there?

Share this post


Link to post
Share on other sites
2 hours ago, trying170 said:

Am I missing something? For the longest time, I installed/updated OPM through CKAN. This is my first time coming back to KSP since its last update, so it's been a while. I don't see OPM anywhere in CKAN no matter how I search for it. Is it no longer there?

This is due to the mod only being officially stated as compatible with KSP 1.4.3 via the NetKAN metadata but in reality it works just fine in KSP 1.4.5 as long as you're using a version of Kopernicus that is 1.4.5 compatible. Open your CKAN and select, Settings > Compatible KSP Versions, tick 1.4 and click save.

kavRIaP.png

Refresh your CKAN listings and OPM wil appear as a compatible mod for 1.4.5 that you can then install.

Share this post


Link to post
Share on other sites
13 minutes ago, davidy12 said:

Does this still work in 1.4.5?

Yes. I'm using it with 1.4.5 and MH (I think, I need to check it, but I'm almost sure I have MH on that installment) 

Share this post


Link to post
Share on other sites
4 minutes ago, Lisias said:

Yes. I'm using it with 1.4.5 and MH (I think, I need to check it, but I'm almost sure I have MH on that installment) 

MH?

Share this post


Link to post
Share on other sites

@Galileo this mod needs some optimizing because I got 32GB of RAM and 4GB of VRAM and its slowing to a crawl at 15 FPS

Share this post


Link to post
Share on other sites
2 hours ago, davidy12 said:

MH?

Making History, the Expansion DLC for KSP.

Share this post


Link to post
Share on other sites
On 10/4/2018 at 5:09 PM, Poodmund said:

This is due to the mod only being officially stated as compatible with KSP 1.4.3 via the NetKAN metadata but in reality it works just fine in KSP 1.4.5 as long as you're using a version of Kopernicus that is 1.4.5 compatible. Open your CKAN and select, Settings > Compatible KSP Versions, tick 1.4 and click save.

kavRIaP.png

Refresh your CKAN listings and OPM wil appear as a compatible mod for 1.4.5 that you can then install.

Yup, that did the trick! Thanks for the help, greatly appreciated. KSP seems "wrong" to me without OPM installed now.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.